#!/bin/bash

# 填写申请好的P2P License Key
export P2P_LICENSE_KEY=
# 填写申请好的Server Key
export P2P_SERVER_KEY=
# 设定需要服务的区域，可以填写的值为 'asia', 'us', 'eu', 'cn' and 'all'
export P2P_SERVICE_REGION=
# P2P服务器所在的物理区域，可以填写的值为 'cn' or 'non-cn'
export P2P_LOCAL_REGION=


# sh 脚本运行时所在的路径
CUR_DIR=$(cd `dirname $0`; pwd)


# 参数说明：
# 只做P2P，不做转发：
#	--total-bandwidth 100000000 --relay-bandwidth 100000001 --p2p-bandwidth 1

s=1
while [ "$s" != "0" ]
do
        if [ $(ps -A | grep -c 'IOTC_Server') == "0" ]; then
                ${CUR_DIR}/IOTC_Server --config=${CUR_DIR}/config.db --keep-original-ip -g P:G -p10001 &
        fi
        sleep 5
done
